#pragma once

#include <cstdint>

typedef bool (*init_t)();
typedef void (*destroy_t)();
typedef void (*update_callback_t)();

typedef struct {
  uint32_t version;
  init_t init_method;
  destroy_t destroy_method;
  update_callback_t update_callback;
} plugin_t;