#pragma once

#include <cstdint>
#include <string>

struct graph_spec_t {
  std::string title;
  bool grid = false;
  bool legend = false;
  struct axis {
    struct x {
      std::string label;
      uint64_t limit = UINT64_MAX;
    };
    struct y {
      std::string label;
      bool auto_limit = true;
      double min;
      double max;
    };
  };
};